public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-contacts/
Date: Sat, 25 Jun 2016 18:43:28 +0000 (UTC)	[thread overview]
Message-ID: <1466880145.5ec8985db644c665eaf3fa32140befe04df7c108.pacho@gentoo> (raw)

commit:     5ec8985db644c665eaf3fa32140befe04df7c108
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 25 17:36:07 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun 25 18:42:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ec8985d

gnome-extra/gnome-contacts: Version bump

Package-Manager: portage-2.3.0_rc1

 gnome-extra/gnome-contacts/Manifest                |  1 +
 .../gnome-contacts/gnome-contacts-3.20.0.ebuild    | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/gnome-extra/gnome-contacts/Manifest b/gnome-extra/gnome-contacts/Manifest
index 09412d4..6c67f02 100644
--- a/gnome-extra/gnome-contacts/Manifest
+++ b/gnome-extra/gnome-contacts/Manifest
@@ -1 +1,2 @@
 DIST gnome-contacts-3.18.1.tar.xz 785260 SHA256 0418d25e70e73c05f4db58ce843819ef91180a21531549a832eafeaf2700cf26 SHA512 eda2698215d0a11018fba7742c5038f6a7c34632b5efe05597dddf0a91489139dd9a6b61c9972756d9beabacf1bd8f776feb2e4bd4104512e7809357dbda7d03 WHIRLPOOL a959aed54e3edd7ca033cbdff4a723d2024d7f69d7807bbd2a972f05e5fefaeafe617cc3a1ce4b3552c2dd192f2dc6764872edb8fdcbd04e93029b356fc03ac7
+DIST gnome-contacts-3.20.0.tar.xz 856724 SHA256 bef88dc728aa7bb058c530fd936b262d96bbc17e73d640279842371bb3ad1588 SHA512 aab750bb116ab54fe22518fc2eefce4da2956b55835a0be51b03a8ba2c7e93b4e38f8bfd8c2db961f953141c1d9febb40ab431c0b0049d85a325295a1216ce59 WHIRLPOOL 9f00cc8bdabdf7e832323af2ec6829bde05e45f8de7f16a0d04ef15da3acd38ed2a35891f7f7159680e9fe1c6d937710c14a3dbd24bf909e5e77ceafee7fb809

diff --git a/gnome-extra/gnome-contacts/gnome-contacts-3.20.0.ebuild b/gnome-extra/gnome-contacts/gnome-contacts-3.20.0.ebuild
new file mode 100644
index 0000000..504c412
--- /dev/null
+++ b/gnome-extra/gnome-contacts/gnome-contacts-3.20.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+VALA_USE_DEPEND="vapigen"
+VALA_MIN_API_VERSION="0.24"
+
+inherit gnome2 vala
+
+DESCRIPTION="GNOME contact management application"
+HOMEPAGE="https://wiki.gnome.org/Design/Apps/Contacts"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="v4l"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+VALA_DEPEND="
+	$(vala_depend)
+	>=dev-libs/gobject-introspection-0.9.6:=
+	dev-libs/folks[vala(+)]
+	gnome-base/gnome-desktop:3=[introspection]
+	gnome-extra/evolution-data-server[vala]
+	net-libs/telepathy-glib[vala]
+"
+# Configure is wrong; it needs cheese-3.5.91, not 3.3.91
+RDEPEND="
+	>=dev-libs/folks-0.9.5:=[eds,telepathy]
+	>=dev-libs/glib-2.37.6:2
+	>=dev-libs/libgee-0.10:0.8
+	>=gnome-extra/evolution-data-server-3.13.90:=[gnome-online-accounts]
+	>=gnome-base/gnome-desktop-3.0:3=
+	media-libs/clutter:1.0
+	media-libs/clutter-gtk:1.0
+	media-libs/libchamplain:0.12
+	net-libs/gnome-online-accounts:=
+	>=net-libs/telepathy-glib-0.17.5
+	>=sci-geosciences/geocode-glib-3.15.3
+	x11-libs/cairo:=
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3.20.0:3
+	x11-libs/pango
+	v4l? ( >=media-video/cheese-3.5.91:= )
+"
+DEPEND="${RDEPEND}
+	${VALA_DEPEND}
+	app-text/docbook-xml-dtd:4.2
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt
+	>=dev-util/intltool-0.40
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# Regenerate the pre-generated C sources, bug #471628
+	if ! use v4l; then
+		touch src/*.vala
+	fi
+
+	vala_src_prepare
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure $(use_with v4l cheese)
+}


             reply	other threads:[~2016-06-25 18:43 UTC|newest]

Thread overview: 52+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-25 18:43 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-16 16:55 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-contacts/ Pacho Ramos
2024-04-28 20:44 Mart Raudsepp
2024-04-28 20:44 Mart Raudsepp
2024-04-20 20:39 Mart Raudsepp
2024-04-20 11:42 Mart Raudsepp
2024-02-11 14:21 Mart Raudsepp
2024-02-11  8:09 Arthur Zamarin
2023-09-22  3:13 Matt Turner
2023-09-21 14:50 Matt Turner
2023-07-27  8:29 WANG Xuerui
2023-05-02 19:56 Arthur Zamarin
2023-05-02 19:37 Arthur Zamarin
2023-05-02 17:56 Arthur Zamarin
2023-03-18 17:50 Matt Turner
2023-02-10 19:18 Matt Turner
2023-01-01 14:48 David Seifert
2022-10-30 22:29 Matt Turner
2022-10-29 19:18 Matt Turner
2022-10-01 20:35 Matt Turner
2022-05-29  0:39 Sam James
2022-05-15  3:10 Sam James
2022-05-13 20:51 Jakov Smolić
2022-05-07 18:25 Arthur Zamarin
2022-05-07 18:25 Arthur Zamarin
2022-04-18 20:48 Jakov Smolić
2022-04-17  0:44 Matt Turner
2022-04-15 22:16 Matt Turner
2021-04-16 22:26 Matt Turner
2021-03-07 21:57 Mart Raudsepp
2020-12-19 11:55 Mart Raudsepp
2020-12-13 18:49 Mart Raudsepp
2020-07-19 17:31 Mart Raudsepp
2020-07-12 21:32 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2020-01-31 20:10 Mart Raudsepp
2019-11-30 21:17 Sergei Trofimovich
2019-11-26 19:35 Sergei Trofimovich
2019-11-26 10:59 Thomas Deutschmann
2019-09-16 20:36 Mart Raudsepp
2019-09-07 22:09 Mart Raudsepp
2019-08-04 15:05 Aaron Bauman
2019-03-30 22:33 Mart Raudsepp
2018-12-09 23:23 Gilles Dartiguelongue
2018-12-06 21:55 Mart Raudsepp
2017-12-20 20:42 Mart Raudsepp
2017-08-18  6:32 Gilles Dartiguelongue
2016-10-21  7:33 Gilles Dartiguelongue
2016-10-21  7:33 Gilles Dartiguelongue
2016-06-25 18:43 Pacho Ramos
2016-03-06 17:23 Mikle Kolyada
2015-11-14 13:48 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1466880145.5ec8985db644c665eaf3fa32140befe04df7c108.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox